GDB (xrefs)

Macros | Variables
/tmp/gdb-8.1/gdb/aarch64-fbsd-tdep.h File Reference
`#include "regset.h"`

Go to the source code of this file.

## Macros
#define | AARCH64_FBSD_SIZEOF_GREGSET (34 * X_REGISTER_SIZE)
#define | AARCH64_FBSD_SIZEOF_FPREGSET (33 * V_REGISTER_SIZE)

## Variables
const struct regset | aarch64_fbsd_gregset
const struct regset | aarch64_fbsd_fpregset

## Macro Definition Documentation

## ◆ AARCH64_FBSD_SIZEOF_FPREGSET

#define AARCH64_FBSD_SIZEOF_FPREGSET (33 * V_REGISTER_SIZE)

Definition at line 30 of file aarch64-fbsd-tdep.h.

Referenced by aarch64_fbsd_iterate_over_regset_sections().

## ◆ AARCH64_FBSD_SIZEOF_GREGSET

#define AARCH64_FBSD_SIZEOF_GREGSET (34 * X_REGISTER_SIZE)

Definition at line 25 of file aarch64-fbsd-tdep.h.

Referenced by aarch64_fbsd_iterate_over_regset_sections().

## Variable Documentation

## ◆ aarch64_fbsd_fpregset

const struct regset aarch64_fbsd_fpregset

Definition at line 158 of file aarch64-fbsd-tdep.c.

Referenced by aarch64_fbsd_fetch_inferior_registers(), aarch64_fbsd_iterate_over_regset_sections(), and aarch64_fbsd_store_inferior_registers().

## ◆ aarch64_fbsd_gregset

const struct regset aarch64_fbsd_gregset

Definition at line 152 of file aarch64-fbsd-tdep.c.

Referenced by aarch64_fbsd_fetch_inferior_registers(), aarch64_fbsd_iterate_over_regset_sections(), and aarch64_fbsd_store_inferior_registers().